org.eclipse.ease.lang.unittest.runtime.impl

## Class RuntimePackage

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.ease.lang.unittest.runtime.impl.RuntimePackage

All Implemented Interfaces:
  IRuntimePackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class RuntimePackage
    extends org.eclipse.emf.ecore.impl.EPackageImpl
    implements IRuntimePackage

An implementation of the model Package.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.ease.lang.unittest.runtime.IRuntimePackage

`IRuntimePackage.Literals`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.IRuntimePackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, METADATA, METADATA__KEY, METADATA__STACK_TRACE, METADATA__VALUE, METADATA_FEATURE_COUNT, METADATA_OPERATION_COUNT, PATH, SCRIPT_ENGINE, SCRIPT_STACK_TRACE, STACK_TRACE_CONTAINER, STACK_TRACE_CONTAINER__STACK_TRACE, STACK_TRACE_CONTAINER_FEATURE_COUNT, STACK_TRACE_CONTAINER_OPERATION_COUNT, TEST, TEST___ADD_ERROR__STRING_ISCRIPTENGINE, TEST___GET_FULL_PATH, TEST___GET_RESOURCE, TEST___GET_RESULTS__TESTSTATUS, TEST___GET_ROOT, TEST___GET_STATUS, TEST___GET_TEST_SUITE, TEST___GET_WORST_RESULT, TEST___HAS_ERROR, TEST___IS_DISABLED, TEST___RESET, TEST___RUN__ITESTEXECUTIONSTRATEGY, TEST___SET_DISABLED__STRING, TEST__DESCRIPTION, TEST__DURATION, TEST__DURATION_LIMIT, TEST__END_TIMESTAMP, TEST__ENTITY_STATUS, TEST__ESTIMATED_DURATION, TEST__METADATA, TEST__NAME, TEST__PARENT, TEST__RESULTS, TEST__STACK_TRACE, TEST__START_TIMESTAMP, TEST__TERMINATED, TEST_CLASS, TEST_CLASS___ADD_ERROR__STRING_ISCRIPTENGINE, TEST_CLASS___GET_CHILD_CONTAINERS, TEST_CLASS___GET_FULL_PATH, TEST_CLASS___GET_RESOURCE, TEST_CLASS___GET_RESULTS__TESTSTATUS, TEST_CLASS___GET_ROOT, TEST_CLASS___GET_STATUS, TEST_CLASS___GET_TEST__STRING, TEST_CLASS___GET_TEST_SUITE, TEST_CLASS___GET_WORST_RESULT, TEST_CLASS___HAS_ERROR, TEST_CLASS___IS_DISABLED, TEST_CLASS___RESET, TEST_CLASS___RUN__ITESTEXECUTIONSTRATEGY, TEST_CLASS___SET_DISABLED__STRING, TEST_CLASS__CHILDREN, TEST_CLASS__DESCRIPTION, TEST_CLASS__DURATION, TEST_CLASS__END_TIMESTAMP, TEST_CLASS__ENTITY_STATUS, TEST_CLASS__ESTIMATED_DURATION, TEST_CLASS__METADATA, TEST_CLASS__NAME, TEST_CLASS__PARENT, TEST_CLASS__RESOURCE, TEST_CLASS__RESULTS, TEST_CLASS__STACK_TRACE, TEST_CLASS__START_TIMESTAMP, TEST_CLASS__TERMINATED, TEST_CLASS_FEATURE_COUNT, TEST_CLASS_OPERATION_COUNT, TEST_CONTAINER, TEST_CONTAINER___ADD_ERROR__STRING_ISCRIPTENGINE, TEST_CONTAINER___GET_CHILD_CONTAINERS, TEST_CONTAINER___GET_FULL_PATH, TEST_CONTAINER___GET_RESOURCE, TEST_CONTAINER___GET_RESULTS__TESTSTATUS, TEST_CONTAINER___GET_ROOT, TEST_CONTAINER___GET_STATUS, TEST_CONTAINER___GET_TEST__STRING, TEST_CONTAINER___GET_TEST_SUITE, TEST_CONTAINER___GET_WORST_RESULT, TEST_CONTAINER___HAS_ERROR, TEST_CONTAINER___IS_DISABLED, TEST_CONTAINER___RESET, TEST_CONTAINER___RUN__ITESTEXECUTIONSTRATEGY, TEST_CONTAINER___SET_DISABLED__STRING, TEST_CONTAINER__CHILDREN, TEST_CONTAINER__DESCRIPTION, TEST_CONTAINER__DURATION, TEST_CONTAINER__END_TIMESTAMP, TEST_CONTAINER__ENTITY_STATUS, TEST_CONTAINER__ESTIMATED_DURATION, TEST_CONTAINER__METADATA, TEST_CONTAINER__NAME, TEST_CONTAINER__PARENT, TEST_CONTAINER__RESOURCE, TEST_CONTAINER__RESULTS, TEST_CONTAINER__START_TIMESTAMP, TEST_CONTAINER__TERMINATED, TEST_CONTAINER_FEATURE_COUNT, TEST_CONTAINER_OPERATION_COUNT, TEST_ENTITY, TEST_ENTITY___ADD_ERROR__STRING_ISCRIPTENGINE, TEST_ENTITY___GET_FULL_PATH, TEST_ENTITY___GET_RESOURCE, TEST_ENTITY___GET_RESULTS__TESTSTATUS, TEST_ENTITY___GET_ROOT, TEST_ENTITY___GET_STATUS, TEST_ENTITY___GET_TEST_SUITE, TEST_ENTITY___GET_WORST_RESULT, TEST_ENTITY___HAS_ERROR, TEST_ENTITY___IS_DISABLED, TEST_ENTITY___RESET, TEST_ENTITY___RUN__ITESTEXECUTIONSTRATEGY, TEST_ENTITY___SET_DISABLED__STRING, TEST_ENTITY__DESCRIPTION, TEST_ENTITY__DURATION, TEST_ENTITY__END_TIMESTAMP, TEST_ENTITY__ENTITY_STATUS, TEST_ENTITY__ESTIMATED_DURATION, TEST_ENTITY__METADATA, TEST_ENTITY__NAME, TEST_ENTITY__PARENT, TEST_ENTITY__RESULTS, TEST_ENTITY__START_TIMESTAMP, TEST_ENTITY__TERMINATED, TEST_ENTITY_FEATURE_COUNT, TEST_ENTITY_OPERATION_COUNT, TEST_EXECUTION_STRATEGY, TEST_FEATURE_COUNT, TEST_FILE, TEST_FILE___ADD_ERROR__STRING_ISCRIPTENGINE, TEST_FILE___GET_CHILD_CONTAINERS, TEST_FILE___GET_FULL_PATH, TEST_FILE___GET_RESOURCE, TEST_FILE___GET_RESULTS__TESTSTATUS, TEST_FILE___GET_ROOT, TEST_FILE___GET_STATUS, TEST_FILE___GET_TEST__STRING, TEST_FILE___GET_TEST_SUITE, TEST_FILE___GET_WORST_RESULT, TEST_FILE___HAS_ERROR, TEST_FILE___IS_DISABLED, TEST_FILE___RESET, TEST_FILE___RUN__ITESTEXECUTIONSTRATEGY, TEST_FILE___SET_DISABLED__STRING, TEST_FILE__CHILDREN, TEST_FILE__DESCRIPTION, TEST_FILE__DURATION, TEST_FILE__END_TIMESTAMP, TEST_FILE__ENTITY_STATUS, TEST_FILE__ESTIMATED_DURATION, TEST_FILE__INSERTION_ORDER, TEST_FILE__METADATA, TEST_FILE__NAME, TEST_FILE__PARENT, TEST_FILE__RESOURCE, TEST_FILE__RESULTS, TEST_FILE__START_TIMESTAMP, TEST_FILE__TERMINATED, TEST_FILE_FEATURE_COUNT, TEST_FILE_OPERATION_COUNT, TEST_FOLDER, TEST_FOLDER___ADD_ERROR__STRING_ISCRIPTENGINE, TEST_FOLDER___GET_CHILD_CONTAINERS, TEST_FOLDER___GET_FULL_PATH, TEST_FOLDER___GET_RESOURCE, TEST_FOLDER___GET_RESULTS__TESTSTATUS, TEST_FOLDER___GET_ROOT, TEST_FOLDER___GET_STATUS, TEST_FOLDER___GET_TEST__STRING, TEST_FOLDER___GET_TEST_SUITE, TEST_FOLDER___GET_WORST_RESULT, TEST_FOLDER___HAS_ERROR, TEST_FOLDER___IS_DISABLED, TEST_FOLDER___RESET, TEST_FOLDER___RUN__ITESTEXECUTIONSTRATEGY, TEST_FOLDER___SET_DISABLED__STRING, TEST_FOLDER__CHILDREN, TEST_FOLDER__DESCRIPTION, TEST_FOLDER__DURATION, TEST_FOLDER__END_TIMESTAMP, TEST_FOLDER__ENTITY_STATUS, TEST_FOLDER__ESTIMATED_DURATION, TEST_FOLDER__METADATA, TEST_FOLDER__NAME, TEST_FOLDER__PARENT, TEST_FOLDER__RESOURCE, TEST_FOLDER__RESULTS, TEST_FOLDER__START_TIMESTAMP, TEST_FOLDER__TERMINATED, TEST_FOLDER_FEATURE_COUNT, TEST_FOLDER_OPERATION_COUNT, TEST_OPERATION_COUNT, TEST_RESULT, TEST_RESULT__MESSAGE, TEST_RESULT__STACK_TRACE, TEST_RESULT__STATUS, TEST_RESULT_FEATURE_COUNT, TEST_RESULT_OPERATION_COUNT, TEST_STATUS, TEST_SUITE, TEST_SUITE___ADD_ERROR__STRING_ISCRIPTENGINE, TEST_SUITE___GET_CHILD_CONTAINERS, TEST_SUITE___GET_FULL_PATH, TEST_SUITE___GET_RESOURCE, TEST_SUITE___GET_RESULTS__TESTSTATUS, TEST_SUITE___GET_ROOT, TEST_SUITE___GET_STATUS, TEST_SUITE___GET_TEST__STRING, TEST_SUITE___GET_TEST_SUITE, TEST_SUITE___GET_WORST_RESULT, TEST_SUITE___HAS_ERROR, TEST_SUITE___IS_DISABLED, TEST_SUITE___RESET, TEST_SUITE___RUN__ITESTEXECUTIONSTRATEGY, TEST_SUITE___SET_DISABLED__STRING, TEST_SUITE__ACTIVE_TESTS, TEST_SUITE__CHILDREN, TEST_SUITE__DEFINITION, TEST_SUITE__DESCRIPTION, TEST_SUITE__DURATION, TEST_SUITE__END_TIMESTAMP, TEST_SUITE__ENTITY_STATUS, TEST_SUITE__ESTIMATED_DURATION, TEST_SUITE__MASTER_ENGINE, TEST_SUITE__METADATA, TEST_SUITE__NAME, TEST_SUITE__PARENT, TEST_SUITE__RESOURCE, TEST_SUITE__RESULTS, TEST_SUITE__START_TIMESTAMP, TEST_SUITE__TERMINATED, TEST_SUITE_FEATURE_COUNT, TEST_SUITE_OPERATION_COUNT, THROWABLE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` `getMetadata_Key()`
`org.eclipse.emf.ecore.EAttribute` `getMetadata_Value()`
`org.eclipse.emf.ecore.EClass` `getMetadata()`
`org.eclipse.emf.ecore.EDataType` `getPath()`
`IRuntimeFactory` `getRuntimeFactory()`
`org.eclipse.emf.ecore.EDataType` `getScriptEngine()`
`org.eclipse.emf.ecore.EDataType` `getScriptStackTrace()`
`org.eclipse.emf.ecore.EAttribute` `getStackTraceContainer_StackTrace()`
`org.eclipse.emf.ecore.EClass` `getStackTraceContainer()`
`org.eclipse.emf.ecore.EAttribute` `getTest_DurationLimit()`
`org.eclipse.emf.ecore.EClass` `getTest()`
`org.eclipse.emf.ecore.EClass` `getTestClass()`
`org.eclipse.emf.ecore.EOperation` `getTestContainer__GetChildContainers()`
`org.eclipse.emf.ecore.EOperation` `getTestContainer__GetTest__String()`
`org.eclipse.emf.ecore.EReference` `getTestContainer_Children()`
`org.eclipse.emf.ecore.EAttribute` `getTestContainer_Resource()`
`org.eclipse.emf.ecore.EClass` `getTestContainer()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__AddError__String_IScriptEngine()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetFullPath()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetResource()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetResults__TestStatus()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetRoot()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetStatus()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetTestSuite()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__GetWorstResult()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__HasError()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__IsDisabled()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__Reset()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__Run__ITestExecutionStrategy()`
`org.eclipse.emf.ecore.EOperation` `getTestEntity__SetDisabled__String()`
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_Description()`
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_Duration()`
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_EndTimestamp()`
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_EntityStatus()`
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_EstimatedDuration()`
`org.eclipse.emf.ecore.EReference` `getTestEntity_Metadata()`
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_Name()`
`org.eclipse.emf.ecore.EReference` `getTestEntity_Parent()`
`org.eclipse.emf.ecore.EReference` `getTestEntity_Results()`
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_StartTimestamp()`
`org.eclipse.emf.ecore.EAttribute` `getTestEntity_Terminated()`
`org.eclipse.emf.ecore.EClass` `getTestEntity()`
`org.eclipse.emf.ecore.EDataType` `getTestExecutionStrategy()`
`org.eclipse.emf.ecore.EAttribute` `getTestFile_InsertionOrder()`
`org.eclipse.emf.ecore.EClass` `getTestFile()`
`org.eclipse.emf.ecore.EClass` `getTestFolder()`
`org.eclipse.emf.ecore.EAttribute` `getTestResult_Message()`
`org.eclipse.emf.ecore.EAttribute` `getTestResult_Status()`
`org.eclipse.emf.ecore.EClass` `getTestResult()`
`org.eclipse.emf.ecore.EEnum` `getTestStatus()`
`org.eclipse.emf.ecore.EReference` `getTestSuite_ActiveTests()`
`org.eclipse.emf.ecore.EReference` `getTestSuite_Definition()`
`org.eclipse.emf.ecore.EAttribute` `getTestSuite_MasterEngine()`
`org.eclipse.emf.ecore.EClass` `getTestSuite()`
`org.eclipse.emf.ecore.EDataType` `getThrowable()`
`static IRuntimePackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### init

    public static IRuntimePackage init()

Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `IRuntimePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  `IRuntimePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

#### getTestEntity

    public org.eclipse.emf.ecore.EClass getTestEntity()

Specified by:
  `getTestEntity` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Test Entity'.
See Also:
  `ITestEntity`

#### getTestEntity_Description

    public org.eclipse.emf.ecore.EAttribute getTestEntity_Description()

Specified by:
  `getTestEntity_Description` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Description'.
See Also:
  `ITestEntity.getDescription()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_Name

    public org.eclipse.emf.ecore.EAttribute getTestEntity_Name()

Specified by:
  `getTestEntity_Name` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  `ITestEntity.getName()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_EntityStatus

    public org.eclipse.emf.ecore.EAttribute getTestEntity_EntityStatus()

Specified by:
  `getTestEntity_EntityStatus` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Entity Status'.
See Also:
  `ITestEntity.getEntityStatus()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_EndTimestamp

    public org.eclipse.emf.ecore.EAttribute getTestEntity_EndTimestamp()

Specified by:
  `getTestEntity_EndTimestamp` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'End Timestamp'.
See Also:
  `ITestEntity.getEndTimestamp()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_StartTimestamp

    public org.eclipse.emf.ecore.EAttribute getTestEntity_StartTimestamp()

Specified by:
  `getTestEntity_StartTimestamp` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Start Timestamp'.
See Also:
  `ITestEntity.getStartTimestamp()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_Parent

    public org.eclipse.emf.ecore.EReference getTestEntity_Parent()

Specified by:
  `getTestEntity_Parent` in interface `IRuntimePackage`
Returns:
  the meta object for the container reference 'Parent'.
See Also:
  `ITestEntity.getParent()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_Metadata

    public org.eclipse.emf.ecore.EReference getTestEntity_Metadata()

Specified by:
  `getTestEntity_Metadata` in interface `IRuntimePackage`
Returns:
  the meta object for the containment reference list 'Metadata'.
See Also:
  `ITestEntity.getMetadata()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_Duration

    public org.eclipse.emf.ecore.EAttribute getTestEntity_Duration()

Specified by:
  `getTestEntity_Duration` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Duration'.
See Also:
  `ITestEntity.getDuration()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_Results

    public org.eclipse.emf.ecore.EReference getTestEntity_Results()

Specified by:
  `getTestEntity_Results` in interface `IRuntimePackage`
Returns:
  the meta object for the containment reference list 'Results'.
See Also:
  `ITestEntity.getResults()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_EstimatedDuration

    public org.eclipse.emf.ecore.EAttribute getTestEntity_EstimatedDuration()

Specified by:
  `getTestEntity_EstimatedDuration` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Estimated Duration'.
See Also:
  `ITestEntity.getEstimatedDuration()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity_Terminated

    public org.eclipse.emf.ecore.EAttribute getTestEntity_Terminated()

Specified by:
  `getTestEntity_Terminated` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Terminated'.
See Also:
  `ITestEntity.isTerminated()`, `IRuntimePackage.getTestEntity()`

#### getTestEntity__GetStatus

    public org.eclipse.emf.ecore.EOperation getTestEntity__GetStatus()

Specified by:
  `getTestEntity__GetStatus` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Get Status' operation.
See Also:
  `ITestEntity.getStatus()`

#### getTestEntity__GetRoot

    public org.eclipse.emf.ecore.EOperation getTestEntity__GetRoot()

Specified by:
  `getTestEntity__GetRoot` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Get Root' operation.
See Also:
  `ITestEntity.getRoot()`

#### getTestEntity__HasError

    public org.eclipse.emf.ecore.EOperation getTestEntity__HasError()

Specified by:
  `getTestEntity__HasError` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Has Error' operation.
See Also:
  `ITestEntity.hasError()`

#### getTestEntity__GetTestSuite

    public org.eclipse.emf.ecore.EOperation getTestEntity__GetTestSuite()

Specified by:
  `getTestEntity__GetTestSuite` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Get Test Suite' operation.
See Also:
  `ITestEntity.getTestSuite()`

#### getTestEntity__GetResource

    public org.eclipse.emf.ecore.EOperation getTestEntity__GetResource()

Specified by:
  `getTestEntity__GetResource` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Get Resource' operation.
See Also:
  `ITestEntity.getResource()`

#### getTestEntity__Reset

    public org.eclipse.emf.ecore.EOperation getTestEntity__Reset()

Specified by:
  `getTestEntity__Reset` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Reset' operation.
See Also:
  `ITestEntity.reset()`

#### getTestEntity__Run__ITestExecutionStrategy

    public org.eclipse.emf.ecore.EOperation getTestEntity__Run__ITestExecutionStrategy()

Specified by:
  `getTestEntity__Run__ITestExecutionStrategy` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Run' operation.
See Also:
  `ITestEntity.run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy)`

#### getTestEntity__GetWorstResult

    public org.eclipse.emf.ecore.EOperation getTestEntity__GetWorstResult()

Specified by:
  `getTestEntity__GetWorstResult` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Get Worst Result' operation.
See Also:
  `ITestEntity.getWorstResult()`

#### getTestEntity__AddError__String_IScriptEngine

    public org.eclipse.emf.ecore.EOperation getTestEntity__AddError__String_IScriptEngine()

Specified by:
  `getTestEntity__AddError__String_IScriptEngine` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Add Error' operation.
See Also:
  `ITestEntity.addError(java.lang.String, org.eclipse.ease.IScriptEngine)`

#### getTestEntity__GetResults__TestStatus

    public org.eclipse.emf.ecore.EOperation getTestEntity__GetResults__TestStatus()

Specified by:
  `getTestEntity__GetResults__TestStatus` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Get Results' operation.
See Also:
  `ITestEntity.getResults(org.eclipse.ease.lang.unittest.runtime.TestStatus)`

#### getTestEntity__GetFullPath

    public org.eclipse.emf.ecore.EOperation getTestEntity__GetFullPath()

Specified by:
  `getTestEntity__GetFullPath` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Get Full Path' operation.
See Also:
  `ITestEntity.getFullPath()`

#### getTestEntity__SetDisabled__String

    public org.eclipse.emf.ecore.EOperation getTestEntity__SetDisabled__String()

Specified by:
  `getTestEntity__SetDisabled__String` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Set Disabled' operation.
See Also:
  `ITestEntity.setDisabled(java.lang.String)`

#### getTestEntity__IsDisabled

    public org.eclipse.emf.ecore.EOperation getTestEntity__IsDisabled()

Specified by:
  `getTestEntity__IsDisabled` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Is Disabled' operation.
See Also:
  `ITestEntity.isDisabled()`

#### getTestContainer

    public org.eclipse.emf.ecore.EClass getTestContainer()

Specified by:
  `getTestContainer` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Test Container'.
See Also:
  `ITestContainer`

#### getTestContainer_Children

    public org.eclipse.emf.ecore.EReference getTestContainer_Children()

Specified by:
  `getTestContainer_Children` in interface `IRuntimePackage`
Returns:
  the meta object for the containment reference list 'Children'.
See Also:
  `ITestContainer.getChildren()`, `IRuntimePackage.getTestContainer()`

#### getTestContainer_Resource

    public org.eclipse.emf.ecore.EAttribute getTestContainer_Resource()

Specified by:
  `getTestContainer_Resource` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Resource'.
See Also:
  `ITestContainer.getResource()`, `IRuntimePackage.getTestContainer()`

#### getTestContainer__GetTest__String

    public org.eclipse.emf.ecore.EOperation getTestContainer__GetTest__String()

Specified by:
  `getTestContainer__GetTest__String` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Get Test' operation.
See Also:
  `ITestContainer.getTest(java.lang.String)`

#### getTestContainer__GetChildContainers

    public org.eclipse.emf.ecore.EOperation getTestContainer__GetChildContainers()

Specified by:
  `getTestContainer__GetChildContainers` in interface `IRuntimePackage`
Returns:
  the meta object for the 'Get Child Containers' operation.
See Also:
  `ITestContainer.getChildContainers()`

#### getTest

    public org.eclipse.emf.ecore.EClass getTest()

Specified by:
  `getTest` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Test'.
See Also:
  `ITest`

#### getTest_DurationLimit

    public org.eclipse.emf.ecore.EAttribute getTest_DurationLimit()

Specified by:
  `getTest_DurationLimit` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Duration Limit'.
See Also:
  `ITest.getDurationLimit()`, `IRuntimePackage.getTest()`

#### getTestSuite

    public org.eclipse.emf.ecore.EClass getTestSuite()

Specified by:
  `getTestSuite` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Test Suite'.
See Also:
  `ITestSuite`

#### getTestSuite_ActiveTests

    public org.eclipse.emf.ecore.EReference getTestSuite_ActiveTests()

Specified by:
  `getTestSuite_ActiveTests` in interface `IRuntimePackage`
Returns:
  the meta object for the reference list 'Active Tests'.
See Also:
  `ITestSuite.getActiveTests()`, `IRuntimePackage.getTestSuite()`

#### getTestSuite_Definition

    public org.eclipse.emf.ecore.EReference getTestSuite_Definition()

Specified by:
  `getTestSuite_Definition` in interface `IRuntimePackage`
Returns:
  the meta object for the reference 'Definition'.
See Also:
  `ITestSuite.getDefinition()`, `IRuntimePackage.getTestSuite()`

#### getTestSuite_MasterEngine

    public org.eclipse.emf.ecore.EAttribute getTestSuite_MasterEngine()

Specified by:
  `getTestSuite_MasterEngine` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Master Engine'.
See Also:
  `ITestSuite.getMasterEngine()`, `IRuntimePackage.getTestSuite()`

#### getTestFolder

    public org.eclipse.emf.ecore.EClass getTestFolder()

Specified by:
  `getTestFolder` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Test Folder'.
See Also:
  `ITestFolder`

#### getTestClass

    public org.eclipse.emf.ecore.EClass getTestClass()

Specified by:
  `getTestClass` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Test Class'.
See Also:
  `ITestClass`

#### getTestResult

    public org.eclipse.emf.ecore.EClass getTestResult()

Specified by:
  `getTestResult` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Test Result'.
See Also:
  `ITestResult`

#### getTestResult_Status

    public org.eclipse.emf.ecore.EAttribute getTestResult_Status()

Specified by:
  `getTestResult_Status` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Status'.
See Also:
  `ITestResult.getStatus()`, `IRuntimePackage.getTestResult()`

#### getTestResult_Message

    public org.eclipse.emf.ecore.EAttribute getTestResult_Message()

Specified by:
  `getTestResult_Message` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Message'.
See Also:
  `ITestResult.getMessage()`, `IRuntimePackage.getTestResult()`

#### getTestFile

    public org.eclipse.emf.ecore.EClass getTestFile()

Specified by:
  `getTestFile` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Test File'.
See Also:
  `ITestFile`

#### getTestFile_InsertionOrder

    public org.eclipse.emf.ecore.EAttribute getTestFile_InsertionOrder()

Specified by:
  `getTestFile_InsertionOrder` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Insertion Order'.
See Also:
  `ITestFile.getInsertionOrder()`, `IRuntimePackage.getTestFile()`

#### getStackTraceContainer

    public org.eclipse.emf.ecore.EClass getStackTraceContainer()

Specified by:
  `getStackTraceContainer` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Stack Trace Container'.
See Also:
  `IStackTraceContainer`

#### getStackTraceContainer_StackTrace

    public org.eclipse.emf.ecore.EAttribute getStackTraceContainer_StackTrace()

Specified by:
  `getStackTraceContainer_StackTrace` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Stack Trace'.
See Also:
  `IStackTraceContainer.getStackTrace()`, `IRuntimePackage.getStackTraceContainer()`

#### getMetadata

    public org.eclipse.emf.ecore.EClass getMetadata()

Specified by:
  `getMetadata` in interface `IRuntimePackage`
Returns:
  the meta object for class 'Metadata'.
See Also:
  `IMetadata`

#### getMetadata_Key

    public org.eclipse.emf.ecore.EAttribute getMetadata_Key()

Specified by:
  `getMetadata_Key` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Key'.
See Also:
  `IMetadata.getKey()`, `IRuntimePackage.getMetadata()`

#### getMetadata_Value

    public org.eclipse.emf.ecore.EAttribute getMetadata_Value()

Specified by:
  `getMetadata_Value` in interface `IRuntimePackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  `IMetadata.getValue()`, `IRuntimePackage.getMetadata()`

#### getTestStatus

    public org.eclipse.emf.ecore.EEnum getTestStatus()

Specified by:
  `getTestStatus` in interface `IRuntimePackage`
Returns:
  the meta object for enum 'Test Status'.
See Also:
  `TestStatus`

#### getScriptEngine

    public org.eclipse.emf.ecore.EDataType getScriptEngine()

Specified by:
  `getScriptEngine` in interface `IRuntimePackage`
Returns:
  the meta object for data type 'Script Engine'.
See Also:
  `IScriptEngine`

#### getThrowable

    public org.eclipse.emf.ecore.EDataType getThrowable()

Specified by:
  `getThrowable` in interface `IRuntimePackage`
Returns:
  the meta object for data type 'Throwable'.
See Also:
  `Throwable`

#### getScriptStackTrace

    public org.eclipse.emf.ecore.EDataType getScriptStackTrace()

Specified by:
  `getScriptStackTrace` in interface `IRuntimePackage`
Returns:
  the meta object for data type 'Script Stack Trace'.
See Also:
  `ScriptStackTrace`

#### getTestExecutionStrategy

    public org.eclipse.emf.ecore.EDataType getTestExecutionStrategy()

Specified by:
  `getTestExecutionStrategy` in interface `IRuntimePackage`
Returns:
  the meta object for data type 'Test Execution Strategy'.
See Also:
  `ITestExecutionStrategy`

#### getPath

    public org.eclipse.emf.ecore.EDataType getPath()

Specified by:
  `getPath` in interface `IRuntimePackage`
Returns:
  the meta object for data type 'Path'.
See Also:
  `IPath`

#### getRuntimeFactory

    public IRuntimeFactory getRuntimeFactory()

Specified by:
  `getRuntimeFactory` in interface `IRuntimePackage`
Returns:
  the factory that creates the instances of the model.

#### createPackageContents

    public void createPackageContents()

Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

#### initializePackageContents

    public void initializePackageContents()

Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.